# frozen_string_literal: true

# _string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'lanternshark/version'

Gem::Specification.new do |spec|
  spec.name = 'lanternshark'
  spec.version       = Lanternshark::VERSION
  spec.authors       = ['ervan-silvert']
  spec.email         = ['esilvert@vivaldi.net']

  spec.summary       = 'Generic simple game server'
  spec.description   = 'Designed to be used on several project with modest rpm'
  spec.homepage      = 'http://www.wikipedia.org' # TODO
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

    spec.metadata['homepage_uri'] = spec.homepage
    spec.metadata['source_code_uri'] = 'https://gitlab.com/babyshark-duck/lanternshark/'
    spec.metadata['changelog_uri'] = 'https://gitlab.com/babyshark-duck/lanternshark/CHANGELOG.md'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  # spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'

  # Added by us
  spec.add_development_dependency 'fasterer'
  spec.add_development_dependency 'overcommit'
  spec.add_development_dependency 'rubocop', '~> 0.8'
  spec.add_development_dependency 'thor' # CLI
end
